/* Tags */

details {
	margin-bottom: 1.5rem;
}

details form {
	margin-top:1rem;
}

input {
	max-width:97%;
}

select {
	max-width:97%;
}

summary {
	font-weight: 600;
}

table {
	font-size: small;
}

th, td {
	padding: .5rem;
	vertical-align: top;
}

td span {
	padding: 0px !important;
}

/* Identifiers */

#by-barcode-caveat{
	margin-top:.75rem;
	font-size:small;
	font-style:italic;
}

#by-barcode-details{
	display:none;
}

#by-barcode-image-wrapper {
	margin-bottom: 1rem;
	display: flex;
	justify-content: center;
}

#by-barcode-image-wrapper img {
	max-height: 270px;
	max-width: 270px;
}

#by-barcode-warning{
	display:none;
	margin-bottom: 1rem;
	display: flex;
	justify-content: center;
	font-weight: 600;
}

#by-flight-button {
}

#by-flight-button-wrapper {
	display:flex;
	margin-bottom:1.5rem;
	justify-content: right;
}

#by-flight-close-wrapper {
	display:flex;
	justify-content: right;
	margin-bottom:1.5rem;
}

#by-flight-dialog {
	padding: 1.5rem;
	min-width: 70vw;
}

#collection-blurb {
	font-size: small;
	font-style:italic;
	margin-top:1rem;
	margin-bottom:1rem;
}

#collection-wrapper {
	display:none;
	margin-bottom:2rem;
}

#flight-blurb {
	margin-bottom: 1rem;
	font-weight: 700;
}

#caveat {
	font-size:small;
	font-style: italic;
	margin-top:1rem;
	display:none;
}

#current {
	display:none;
}

#flight-list {
	max-height: 550px;
	overflow: scroll;
}

#permalink {
	/* margin-top:1.5rem; */
}

#pois-wrapper {
	margin-top:1.5rem;
}

#pois-blurb {
	margin-bottom:1rem;
}

#pois-list {

}

/* Classes */

.incomplete-flight-data {
	background-color: #c0c0c0;
}

/* Media queries */

@media (max-width: 1000px) {
	
	#collection-list {
		grid-template-columns:1fr;
	}

	#collection-list-item {
		max-height: 300px;
		max-width: 300px;
		border:solid thin;
	}
	
	#collection-list-item img {
		max-height: 300px;
		max-width: 300px;
	}

	#flight-list {
		max-height: none !important;
	}
}
